$(document).ready(function()
{
	common.show_main_view_intreface()
	common.show_errors_info()
	show_internal_sensors()

	common.load_script('one_wire.js')
	.then(() => common.load_script('network_settings.js'))
	.then(() => one_wire.request_sensors())
	.then(text => common.response_ready(text))
	.then(values => {
		let sensors_ID = values//.filter(element => element !== "0x0");
		one_wire.show(sensors_ID)
		network_settings.show("old")

		common.on_page_loading_finished()
		user.parse_page()
	})
})

function show_internal_sensors()
{	
	$("#io_settings").append($(`<h3>`).text(l100n.localize_string("int_Channels_header")))
	$("#io_settings").append($(`<div class="accordion-header">${l100n.localize_string("RTD Sensors")}</div>`));
	$("#io_settings").append(get_sensor_body());
}

function get_sensor_body()
{
	var count = 12;
	var start_index = 1
	var ul = $('<ul>')
	ul.append($(`<li><a href="#value-tab">${l100n.localize_string("input state")}</a></li>`))
	ul.append($(`<li><a href="#deadband_settings-tab">${l100n.localize_string("Deadband Settings")}</a></li>`))
	ul.append($(`<li><a href="#settings-tab">${l100n.localize_string("Settings")}</a></li>`))
	ul.append($(`<li><a href="#scaling-tab">${l100n.localize_string("Scaling")}</a></li>`))
	ul.append($(`<li><a href="#di-value-tab">${l100n.localize_string("di state")}</a></li>`))
	ul.append($(`<li><a href="#di-settings-tab">${l100n.localize_string("di Settings")}</a></li>`))	
	
	var value = $(`<tbody id="value-tab">`).addClass('nowrap_td').addClass('data_td')
	var scaling = $(`<tbody id="scaling-tab">`).addClass('nowrap_td').addClass('data_td')
	var deadband_settings = $(`<tbody id="deadband_settings-tab">`).addClass('nowrap_td').addClass('data_td')
	var settings = $(`<tbody id="settings-tab">`).addClass('nowrap_td').addClass('data_td')
	var value_tab = $(`<tbody id="di-value-tab">`).addClass('nowrap_td').addClass('data_td')
	var settings_tab = $(`<tbody id="di-settings-tab">`).addClass('nowrap_td').addClass('data_td')
	
	var value_head = $('<tr>').addClass('table_header').append($('<td colspan="1">').text(""))
	value_head.append($('<td colspan="1">').text(l100n.localize_string("value")))
	value_head.append($('<td colspan="1">').text(l100n.localize_string("Status DI")))
	value.append(value_head)	
	var deadband_head = $('<tr>').addClass('table_header').append($('<td colspan="1">').text(""))
	deadband_head.append($('<td colspan="1">').text(l100n.localize_string("Deadband Reference")))
	deadband_head.append($('<td colspan="1">').text(l100n.localize_string("Deadband, %")))
	deadband_settings.append(deadband_head)
	var scaling_head = $('<tr>').addClass('table_header').append($('<td colspan="1">').text(""))
	scaling_head.append($('<td colspan="1">').text(l100n.localize_string("Scaling")))
	scaling_head.append($('<td colspan="1">').text(l100n.localize_string("Offset")))
	scaling.append(scaling_head)
	var settings_head = $('<tr>').addClass('table_header').append($('<td colspan="1">').text(""))
	settings_head.append($('<td colspan="1">').text(l100n.localize_string("Input Sensor")))
	settings_head.append($('<td colspan="1">').text(l100n.localize_string("Filter time, ms")))
	settings.append(settings_head)

	var value_header = $('<tr>').addClass('table_header')
	value_header.append($('<td colspan="1">'))//.text(l100n.localize_string("Channel:")))
	value_header.append($('<td colspan="1">').text(l100n.localize_string("value")))
	value_header.append($('<td colspan="1">').text(l100n.localize_string("invert_polarity")))
	value_tab.append(value_header)

	var settings_header = $('<tr>').addClass('table_header')
	settings_header.append($('<td colspan="1">'))//.text(l100n.localize_string("Channel:")))
	settings_header.append($('<td colspan="1">').text(l100n.localize_string("invert_polarity")))
	settings_tab.append(settings_header)

	for (var eds_subindex = start_index; eds_subindex < start_index+count; eds_subindex++)
	{
		var eds_index = 0x3F39
		configuration.add_template({"index": `${eds_index.toString(16).toUpperCase()}_${eds_subindex}`,"template": "combobox", "commands": templates_commands.sensor_type_mtu()})
		var eds_index = 0x3F0F
		configuration.add_template({"index": `${eds_index.toString(16).toUpperCase()}_${eds_subindex}`,"template": "bit_value", "commands": templates_commands.di_status()})

		value.append(common.form_tag_tr2(`${eds_subindex}`, 0x3F31, eds_subindex, "", 0x3F0F, eds_subindex));
		scaling.append(common.form_tag_tr2(`${eds_subindex}`, 0x3F32, eds_subindex, "", 0x3F33, eds_subindex));
		deadband_settings.append(common.form_tag_tr2(`${eds_subindex}`, 0x3F3C, eds_subindex, "", 0x3F35, eds_subindex));
		settings.append(common.form_tag_tr2(`${eds_subindex}`, 0x3F39, eds_subindex, "", 0x3F34, eds_subindex));

		var value_params = {name: `${eds_subindex}`, index: 0x3F11, sub: eds_subindex}
		var invert_params = {name: "", index: 0x3F12, sub: eds_subindex, type: "ro"}
		value_tab.append(common.form_tag_tr2_param(value_params, invert_params));

		var invert2_params = {name: `${eds_subindex}`, index: 0x3F12, sub: eds_subindex}
		settings_tab.append(common.form_tag_tr_param(invert2_params));
	}

	var table = $('<table>')
	table.append(value).append(value_tab).append(scaling).append(deadband_settings).append(settings).append(settings_tab)
	var tabs_div = $('<div class="tab-class">').append(ul).append(table)
	var body_div = $('<div class="accordion-body">').append(tabs_div)
	return body_div
}
